Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156617 - SIGCHLD set to SIG_IGN but calls wait().
Summary: SIGCHLD set to SIG_IGN but calls wait().
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ingo Molnar
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-02 15:17 UTC by it@interactivebrokers.ch
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-02 20:01:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC
Linux Kernel 156617 None None None Never

Description it@interactivebrokers.ch 2005-05-02 15:17:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
we have two boxes which run a custom application.  both boxes have the same kernel-2.4.21-27.0.2.ELsmp.  one of them is spewing errors into /var/log/messages as follows:

May  2 17:08:54 sblah kernel: application bug: ourapplication(29640) has SIGCHLD set to SIG_IGN but calls wait().
May  2 17:08:54 sblah kernrl:  (see the NOTES section of 'man 2 wait'). Workaround activated.

i cannot determine why one has the errors and the other does not.  any input would be greatly appreciated.

Version-Release number of selected component (if applicable):
kernel-2.4.21-27.0.2.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. run our application on box b

  

Actual Results:  same errors.

Expected Results:  no errors.

Additional info:

Comment 1 Ernie Petrides 2005-05-02 20:01:06 UTC
A fix for this problem was committed to the RHEL3 U5 patch pool
on 14-Jan-2005 (in kernel version 2.4.21-27.8.EL).


*** This bug has been marked as a duplicate of 140552 ***

Comment 2 Tim Powers 2005-05-18 13:29:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.